Bug 221932 - xchat stuck, fails to redraw itself.
xchat stuck, fails to redraw itself.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-08 19:22 EST by David Woodhouse
Modified: 2008-05-06 13:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:19:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2007-01-08 19:22:57 EST
I woke up this morning and xchat is a grey blob, failing to redraw itself or in
fact do anything else.

(gdb) bt
#0  0x0f2fef48 in __read_nocancel () from /lib/libpthread.so.0
#1  0x0fea5ea0 in BIO_new_socket () from /lib/libcrypto.so.6
#2  0x0fea3988 in BIO_read () from /lib/libcrypto.so.6
#3  0x0fb8d774 in ssl3_read_n () from /lib/libssl.so.6
#4  0x0fb8dcf8 in ssl3_read_bytes () from /lib/libssl.so.6
#5  0x0fb8ece0 in ssl3_get_message () from /lib/libssl.so.6
#6  0x0fb88ff4 in ssl3_get_server_hello () from /lib/libssl.so.6
#7  0x0fb89ba0 in ssl3_connect () from /lib/libssl.so.6
#8  0x0fb9c348 in SSL_connect () from /lib/libssl.so.6
#9  0x1005a2e0 in xchat_plugingui_remove ()
#10 0x0eed80f8 in g_source_get_current_time () from /lib/libglib-2.0.so.0
#11 0x0eed7a14 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#12 0x0eedb71c in g_main_context_check () from /lib/libglib-2.0.so.0
#13 0x0eedbb84 in g_main_loop_run () from /lib/libglib-2.0.so.0
#14 0x02177834 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#15 0x10016720 in ?? ()
#16 0x1006419c in xchat_plugingui_remove ()
#17 0x0f48dd4c in generic_start_main () from /lib/libc.so.6
#18 0x0f48df74 in __libc_start_main () from /lib/libc.so.6
#19 0x00000000 in ?? ()

Forcing it to close the socket it's blocked on (p close(15)) leads it to at
least start drawing itself again.
Comment 1 Bug Zapper 2008-04-04 01:32:14 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 13:19:32 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.